summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-qt/qtlockedfile
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-qt/qtlockedfile')
-rw-r--r--dev-qt/qtlockedfile/Manifest2
-rw-r--r--dev-qt/qtlockedfile/files/qtlockedfile.prf6
-rw-r--r--dev-qt/qtlockedfile/metadata.xml5
-rw-r--r--dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20130904.ebuild46
-rw-r--r--dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20150629.ebuild77
5 files changed, 136 insertions, 0 deletions
diff --git a/dev-qt/qtlockedfile/Manifest b/dev-qt/qtlockedfile/Manifest
new file mode 100644
index 00000000000..d90810f75f2
--- /dev/null
+++ b/dev-qt/qtlockedfile/Manifest
@@ -0,0 +1,2 @@
+DIST qt-solutions-20130904.tar.xz 751536 SHA256 fc27b49883269a21ced2d3cb543eb78e79223afe5933bbc7d3194146f72f8884 SHA512 9e50d0a7d9fee08a72a3c6dee1d3fe45d04ae0930a967d81eff457f6c0ff53ac8449ef1d8241a5ce75ca2dcf9f4a2fe27b899647748d11060c3ab5767c3d0e75 WHIRLPOOL b933a301de905cffab8393a7adf055ed2f5198f1572657f5993e016746340d9862017982308ac11310add272ae1cd5c3435054dce2dd9d7ee5a9c92baf1878c2
+DIST qt-solutions-20150629.tar.xz 710488 SHA256 cfa88a67c8396878eaa98f39b7648482fabb73988549cc404816c29212cf6503 SHA512 a95ed58f0218cd90d734a40eedd173b896fa0138ad235f3157d7bee538b16c5f385d93bae483fd22267f2984389b9940bb85ba0cd3d25c16124d56abb39568f5 WHIRLPOOL 23a273cfa2d0bc3834487c9e325c73d0038877c5a5085493ceb37ee5dc03cc4d2cddf4f46f5a89045fcbfe7f6dd03b678d56f3167fb750374d44879f11ded8b7
diff --git a/dev-qt/qtlockedfile/files/qtlockedfile.prf b/dev-qt/qtlockedfile/files/qtlockedfile.prf
new file mode 100644
index 00000000000..93d656e6958
--- /dev/null
+++ b/dev-qt/qtlockedfile/files/qtlockedfile.prf
@@ -0,0 +1,6 @@
+INCLUDEPATH *= $$[QT_INSTALL_HEADERS]/QtSolutions
+greaterThan(QT_MAJOR_VERSION, 4) {
+LIBS *= -lQt$${QT_MAJOR_VERSION}Solutions_LockedFile-2.4
+} else {
+LIBS *= -lQtSolutions_LockedFile-2.4
+}
diff --git a/dev-qt/qtlockedfile/metadata.xml b/dev-qt/qtlockedfile/metadata.xml
new file mode 100644
index 00000000000..ab02f994fdd
--- /dev/null
+++ b/dev-qt/qtlockedfile/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>qt</herd>
+</pkgmetadata>
diff --git a/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20130904.ebuild b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20130904.ebuild
new file mode 100644
index 00000000000..c8ff09e7661
--- /dev/null
+++ b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20130904.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qt4-r2
+
+MY_P=qt-solutions-${PV#*_p}
+
+DESCRIPTION="QFile extension with advisory locking functions"
+HOMEPAGE="https://code.qt.io/cgit/qt-solutions/qt-solutions.git/"
+SRC_URI="http://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+DEPEND="dev-qt/qtcore:4"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}/${PN}
+
+src_prepare() {
+ qt4-r2_src_prepare
+
+ echo 'SOLUTIONS_LIBRARY = yes' > config.pri
+ echo 'QT -= gui' >> src/qtlockedfile.pri
+
+ sed -i -e "s/-head/-${PV%.*}/" common.pri || die
+ sed -i -e '/SUBDIRS+=example/d' ${PN}.pro || die
+}
+
+src_install() {
+ dodoc README.TXT
+
+ dolib.so lib/*
+ insinto /usr/include/qt4/QtSolutions/
+ doins src/QtLockedFile src/${PN}.h
+
+ insinto /usr/share/qt4/mkspecs/features/
+ doins "${FILESDIR}"/${PN}.prf
+
+ use doc && dohtml -r doc/html
+}
diff --git a/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20150629.ebuild b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20150629.ebuild
new file mode 100644
index 00000000000..a1609f6086f
--- /dev/null
+++ b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20150629.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit multibuild qmake-utils
+
+MY_P=qt-solutions-${PV#*_p}
+
+DESCRIPTION="QFile extension with advisory locking functions"
+HOMEPAGE="https://code.qt.io/cgit/qt-solutions/qt-solutions.git/"
+SRC_URI="http://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc +qt4 qt5"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+DEPEND="
+ qt4? ( dev-qt/qtcore:4 )
+ qt5? ( dev-qt/qtcore:5 )
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}/${PN}
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
+}
+
+src_prepare() {
+ echo 'SOLUTIONS_LIBRARY = yes' > config.pri
+ echo 'QT -= gui' >> src/qtlockedfile.pri
+
+ sed -i -e "s/-head/-${PV%.*}/" common.pri || die
+ sed -i -e '/SUBDIRS+=example/d' ${PN}.pro || die
+
+ multibuild_copy_sources
+}
+
+src_configure() {
+ myconfigure() {
+ if [[ ${MULTIBUILD_VARIANT} == qt4 ]]; then
+ eqmake4
+ fi
+ if [[ ${MULTIBUILD_VARIANT} == qt5 ]]; then
+ eqmake5
+ fi
+ }
+ multibuild_foreach_variant run_in_build_dir myconfigure
+}
+
+src_compile() {
+ multibuild_foreach_variant run_in_build_dir default
+}
+
+src_install() {
+ dodoc README.TXT
+ use doc && dodoc -r doc/html
+
+ myinstall() {
+ # libraries
+ dolib.so lib/*
+
+ # headers
+ insinto "$(${MULTIBUILD_VARIANT}_get_headerdir)"/QtSolutions
+ doins src/QtLockedFile src/${PN}.h
+
+ # .prf files
+ insinto "$(${MULTIBUILD_VARIANT}_get_mkspecsdir)"/features
+ doins "${FILESDIR}"/${PN}.prf
+ }
+ multibuild_foreach_variant run_in_build_dir myinstall
+}